> For the complete documentation index, see [llms.txt](https://docs.blockpi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockpi.io/build/api-reference/avalanche/web3_sha3.md).

# web3\_sha3

Returns Keccak-256 (not the standardized SHA3-256) of the given data.

#### **Parameters:**

**DATA** - the data to convert into a SHA3 hash

#### **Returns:**

**DATA** - The SHA3 result of the given string.

#### Example:

{% code overflow="wrap" %}

```json
// Request
curl https://avalanche.blockpi.network/v1/rpc/your-rpc-key -X POST -H "Content-Type: application/json" --data '{"jsonrpc":"2.0","method":"web3_sha3","params":["0x68656c6c6f20776f726c64"],"id":1}'

// Result
{
    "jsonrpc": "2.0",
    "id": 1,
    "result": "0x47173285a8d7341e5e972fc677286384f802f8ef42a5ec5f03bbfa254cb01fad"
}
```

{% endcode %}
